Customer Info API
The Customer Info API can help the setup of checkout and booking processes by providing a list of available customers, countries, and services for one or more customer numbers.
Authentication
To integrate with the Bring APIs, you will need a Mybring user account with an API key. Information about prerequisites and authentication headers can be found on the general API Getting Started page. In addition to authentication, you need to be authorized.
Rate limiting
Clients exceeding a certain number of requests per second will be throttled, and the response will contain http status code 429. If you have a use case requiring rates above the limit, please contact developer-booking@bring.com for assistance.
Formats
REST JSON over HTTP is the way for all new integrations. While we currently also support XML for legacy reasons, this will be phased out in the future.
Endpoints
- Base URL
https://api.bring.com/customer-info- OpenAPI document
- https://api.bring.com/customer-info/api-docs
| Usage | Method | Endpoint |
|---|---|---|
| List customer numbers and services | GET |
/customers
|
List customer numbers and services
- GET
-
https://api.bring.com/customer-info/customers
Request
header parameters
-
X-Mybring-API-UidRequired -
- Type
- string
-
X-Mybring-API-KeyRequired -
- Type
- string
Responses
200 OK
Schema
Media type: application/json
-
Required
- array of objects
-
countryCodeRequired - string
-
customerNumberRequired - string
-
nameRequired - string
productsRequired- array of strings
-
- string
-
-
Response examples
{
"customers": [
{
"countryCode": "NO",
"customerNumber": "5",
"name": "Demo customer (00000000005)",
"products": [
"3570",
"3584",
"4850",
"5000",
"5600",
"5800",
"9000",
"9300",
"9600",
"BUSINESS_HALFPALLET",
"BUSINESS_PALLET",
"BUSINESS_PARCEL",
"BUSINESS_PARCEL_BULK",
"BUSINESS_QUARTERPALLET",
"EXPRESS_NORDIC_0900",
"HOME_DELIVERY_PARCEL",
"PICKUP_PARCEL",
"PICKUP_PARCEL_BULK",
"0344"
]
},
{
"countryCode": "SE",
"customerNumber": "6",
"name": "Demo customer (00000000006)",
"products": [
"BUSINESS_HALFPALLET",
"BUSINESS_PALLET",
"BUSINESS_PARCEL",
"BUSINESS_PARCEL_BULK",
"BUSINESS_QUARTERPALLET",
"EXPRESS_NORDIC_0900",
"HOME_DELIVERY_PARCEL",
"PICKUP_PARCEL",
"PICKUP_PARCEL_BULK",
"0344"
]
}
]
}